#
# spec file for package icecast
#
# Parts of this file taken from original SUSE and Fedora packaging
#

Summary:        MinGW Windows port of Icecast streaming media server
Name:           mingw32-icecast
Version:        2.4.1
Release:        1%{?dist}
Group:          Applications/Multimedia
License:        GPL-2.0
URL:            http://www.icecast.org/
#Source0:       http://downloads.xiph.org/releases/icecast/icecast-%{version}.tar.gz
Source0:        icecast2_2.4.1.orig.tar.gz
Source1:        icecast.bat
BuildRequires:  mingw32-cross-binutils
BuildRequires:  mingw32-cross-gcc
BuildRequires:  mingw32-cross-pkg-config
BuildRequires:  mingw32-filesystem >= 35
BuildRequires:  automake
BuildRequires:  libtool
BuildRequires:  mingw32-libvorbis-devel >= 1.0
BuildRequires:  mingw32-libogg-devel >= 1.0
BuildRequires:  mingw32-libcurl-devel
BuildRequires:  mingw32-libxml2-devel
BuildRequires:  mingw32-libxslt-devel
BuildRequires:  mingw32-libspeex-devel
BuildRequires:  mingw32-libtheora-devel >= 1.0
BuildRequires:  mingw32-libopenssl-devel
%_mingw32_package_header_debug
BuildArch:      noarch

Patch0:         0001-docdir-fix.patch
Patch1:         configure-libcurl.patch
Patch2:         localtime_r.patch

BuildRoot:      %{_tmppath}/%{name}-%{version}-build

Provides: streaming-server


%description
This is an official icecast.org package of Icecast for MinGW Windows.
Icecast is a streaming media server which currently supports Ogg Vorbis
and Opus audio streams, with MP3 known to work. It can be used to create
an Internet radio station or a privately running jukebox and many things
in between.  It is very versatile in that new formats can be added
relatively easily and supports open standards for commuincation
and interaction.


%prep
%setup -q -n icecast-%{version}
find -name "*.html" -or -name "*.jpg" -or -name "*.png" -or -name "*.css" | xargs chmod 644
%patch0 -p1
%patch1
%patch2

%build
echo "lt_cv_deplibs_check_method='pass_all'" >>%{_mingw32_cache}
MINGW32_CFLAGS="%{_mingw32_cflags}" \
PATH="%{_mingw32_bindir}:$PATH" \
%{_mingw32_configure} \
  --with-curl=%{_mingw32_prefix} \
  --disable-static --enable-shared #\
%{__make} %{?_smp_mflags}


%install
make DESTDIR=%{buildroot} install %{?_smp_mflags}
# create missing dirs
install -d -m 0755 %{buildroot}%{_localstatedir}/{lib,log}/%{name}
mkdir -p %{buildroot}%{_localstatedir}/log/icecast
#find doc -iname "Makefile*" | xargs rm -f
#rm %{_mingw32_bindir}/icecast.exe.debug
#/usr/i686-w64-mingw32/sys-root/mingw/bin/icecast.exe.debug
rm -rf %{_mingw32_prefix}/symbols
rm -rf %{_mingw32_datadir}/doc/%{name}


%clean
#probably redundant?
rm -rf %{buildroot}

%pre

%post

%preun

%postun

%files
%defattr(-,root,root)
%{_mingw32_bindir}/icecast.exe
%{_mingw32_datadir}/icecast
%doc README AUTHORS COPYING NEWS TODO ChangeLog
%doc doc/*.html
%doc doc/assets
%doc doc/img
%doc conf/*.dist
%config(noreplace) %attr(-,root,%{name}) %{_mingw32_sysconfdir}/icecast.xml
#%{_bindir}/icecast
#%{_mandir}/man1/icecast.1.gz

%changelog
* Sun Dec 21 2014 Thomas B. Ruecker <thomas@ruecker.fi> - 2.4.1-3

Initial MinGW packaging
